︠810a09f9-d10c-475f-a0c7-b0f4cd0a4e79s︠
from pandasql import sqldf
pysqldf = lambda q: sqldf(q, globals())
︡57925156-b1bd-41b4-aeb9-539e62f8456f︡{"done":true}︡
︠4ed2e753-7d8a-4852-aa2d-02a8a96934d5s︠
from pandasql import sqldf
︡7f9f83b3-67c8-4de3-80d0-522a32d583c6︡{"done":true}︡
︠754e9d89-987e-4452-a45f-f85258cc6925s︠
help(sqldf)
︡de42135c-d482-4870-95f9-c6d145fe9018︡{"stdout":"Help on function sqldf in module pandasql.sqldf:\n\nsqldf(q, env, inmemory=True)\n    query pandas data frames using sql syntax\n    \n    Parameters\n    ----------\n    q: string\n        a sql query using DataFrames as tables\n    env: locals() or globals()\n        variable environment; locals() or globals() in your function\n        allows sqldf to access the variables in your python environment\n    dbtype: bool\n        memory/disk; default is in memory; if not memory then it will be \n        temporarily persisted to disk\n    \n    Returns\n    -------\n    result: DataFrame\n        returns a DataFrame with your query's result\n    \n    Examples\n    --------\n    >>> import pandas as pd\n    >>> df = pd.DataFrame({\n        \"x\": range(100),\n        \"y\": range(100)\n    })\n    >>> from pandasql import sqldf\n    >>> sqldf(\"select * from df;\", globals())\n    >>> sqldf(\"select * from df;\", locals())\n    >>> sqldf(\"select avg(x) from df;\", locals())\n\n"}︡{"done":true}︡
︠5760c2df-df3c-497f-a70c-a45a04c4bee9︠
